Create a VerificationSession
After the VerificationSession is created, send your users to the session's url.
Creating verification sessions requires additional permission that is not granted by default. Contact your account manager to enable access.
See Identity verification for the onboarding flow.
Body·
Request to create a VerificationSession
- Type: VerificationSession Create Request
- Type: string | nullverification
_flow - Type: "document" or "id_number"enumtype
- Properties: 2Type: object
- metadata
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.- propertyadditionalPropertyType: string
Name
- Type: stringreturn
_url The URL that the user will be redirected to upon completing the verification flow.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.paypercut.io/v1/identity/verification_sessions \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"verification_flow": null,
"type": "document",
"related_person": {
"account": "01K755J9SV2364REVHB915Z2FW",
"person": "01K755J9SV2364REVHB915Z2FW"
},
"metadata": {
"additionalProperty": ""
},
"return_url": ""
}'
{
"url": "string"
}
